Subject: 100 Continue problem

From: Prashanto Chatterjee <[email-masked]>
Date: Fri, 30 May 2003 01:28:12 -0400 (EDT)

proxy 100 (Continue) issue

I am trying to resolve the issue of 100 Continue to make our proxy 100% 
rfc compliant but am facing this
hurdle as to whether the client after recieving a 100 Continue response 
sends only the message body
(without request headers) or resends the request without Expect header. 
Please comment on this.

!-- Virus-Free Mail Using PostMaster AvAc & QuickHeal Engine --!

Our official web site is http://www.postmaster.co.in/
You can also visit us at http://www.qlc.co.in/

-------------------------------------------------
QuantumLink Communications Pvt Ltd, Bombay, India

---

From: Robert Olofsson <[email-masked]>
Date: Fri, 30 May 2003 13:19:17 +0200

>(without request headers) or resends the request without Expect header. 
When you recieve the 100 Continue response you send the request body 
(assuming
that you have not already sent it). You do _not_ resend the request headers.

Section 8.2.3 and 10.1.1 in rfc 2616 has the information you need.

/robo

---

From: Alex Rousskov <[email-masked]>
Date: Fri, 30 May 2003 09:19:54 -0600 (MDT)

On Fri, 30 May 2003, Prashanto Chatterjee wrote:

> I am trying to resolve the issue of 100 Continue to make our proxy
> 100% rfc compliant but am facing this hurdle as to whether the
> client after recieving a 100 Continue response sends only the
> message body (without request headers) or resends the request
> without Expect header.

Robert already answered your question, but I want to emphasize that
there may be more than one "100 Continue" message from the server
and that your proxy must handle other 1xx messages as well. We have
seen many violations related to 1xx requirements. For example, see
	http://nagoya.apache.org/bugzilla/show_bug.cgi?id=19442

Alex.

-- 
                            | HTTP performance - Web Polygraph benchmark
www.measurement-factory.com | HTTP compliance+ - Co-Advisor test suite
                            | all of the above - PolyBox appliance